# Class SimpleRequestRecord

java.lang.Object
org.apache.zookeeper.server.SimpleRequestRecord

All Implemented Interfaces:
  `RequestRecord`

public class SimpleRequestRecord extends Object implements RequestRecord

## Constructor Summary

Constructors
Constructor
Description
`SimpleRequestRecord(Record record)`

## Method Summary

Modifier and Type
Method
Description
`int`
`limit()`
`byte[]`
`readBytes()`
`<T extends Record>
T`
`readRecord(Supplier<T> constructor)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SimpleRequestRecord

public SimpleRequestRecord(Record record)

## Method Details

### readRecord

public <T extends Record> T readRecord(Supplier<T> constructor)

Specified by:
  `readRecord` in interface `RequestRecord`

### readBytes

public byte[] readBytes()

Specified by:
  `readBytes` in interface `RequestRecord`

### limit

public int limit()

Specified by:
  `limit` in interface `RequestRecord`